Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035403
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementtrivialhave not tried2017-03-02 12:322017-03-20 18:33
ReporteralostaleView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision17c715fc6bfe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035403: jslint error in Financial Account window

DescriptionGenerated view for Financial Account window has jslint errors.
Steps To Reproduce1. As System Admin set User Interface Application module in development
2. As Group Admin open Financial Account window
  -> check openbravo.log:

>>>>>>> Issues found in javascript <<<<<<<<<
Core.View:1980:52: Weird condition. >> offending code: f.disableItem('aprmFinaccTransOrigin', ('Y') || (OB.Utilities.getValue(currentValues,'aprmFinaccTransOrigin') !== '') === false);
>>>>>>> Issues (2788ms) <<<<<<<<<
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035404 newalostale insufficient information in log when a view has jslint errors 
related to defect 0035405 closedalostale StandardWindowTest cannot be executed 

-  Notes
(0094764)
hgbot (developer)
2017-03-06 09:15

Repository: erp/devel/pi
Changeset: 17c715fc6bfefdd9bd3013b6fd66209860621cbf
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Mar 03 11:09:57 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/17c715fc6bfefdd9bd3013b6fd66209860621cbf [^]

Fixed bug 35403: jslint error in Financial Account window
The column has been set as not updatable and the field is always read only, removing the readonly logic at column level

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
---
(0095272)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095440)
dmitry_mezentsev (developer)
2017-03-20 18:33

Not closed for 14 days!

- Issue History
Date Modified Username Field Change
2017-03-02 12:32 alostale New Issue
2017-03-02 12:32 alostale Assigned To => Triage Finance
2017-03-02 12:32 alostale Modules => Core
2017-03-02 12:32 alostale Triggers an Emergency Pack => No
2017-03-02 12:35 alostale Relationship added related to 0035404
2017-03-02 12:38 alostale Relationship added blocks 0035405
2017-03-02 12:44 alostale Relationship replaced related to 0035405
2017-03-03 10:52 vmromanos Status new => scheduled
2017-03-03 10:52 vmromanos Assigned To Triage Finance => vmromanos
2017-03-06 09:15 hgbot Checkin
2017-03-06 09:15 hgbot Note Added: 0094764
2017-03-06 09:15 hgbot Status scheduled => resolved
2017-03-06 09:15 hgbot Resolution open => fixed
2017-03-06 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17c715fc6bfefdd9bd3013b6fd66209860621cbf [^]
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095272
2017-03-20 18:33 dmitry_mezentsev Note Added: 0095440


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker